%define	major 2
%define libname	%mklibname %{name} %{major}
%define develname %mklibname -d %{name}

Summary:	Audio time-stretching and pitch-shifting library
Name:		rubberband
Version:	1.6.0
Release:	%mkrel 1
License:	GPLv2
Group:		System/Libraries
URL:		http://www.breakfastquay.com/rubberband/
Source0:	http://www.breakfastquay.com/rubberband/files/%{name}-%{version}.tar.xz
Source1:	http://www.breakfastquay.com/rubberband/usage.txt
Patch0:         %{name}-1.6.0-gcc46.patch
Patch1:         %{name}-1.5.0-mk.patch
Patch2:		%{name}-1.6.0-fix_ver.patch
BuildRequires:	fftw3-devel
BuildRequires:	ladspa-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libsndfile-devel
BuildRequires:	pkgconfig
BuildRequires:	vamp-plugin-sdk-devel
Requires:	%{libname} = %{version}-%{release}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Rubber Band is a library and utility program that permits you to change the
tempo and pitch of an audio recording independently of one another.

%package -n %{libname}
Summary:	Audio time-stretching and pitch-shifting library
Group:		System/Libraries
Obsoletes:	%{mklibname %{name} 0} < 1.2

%description -n %{libname}
Rubber Band is a library and utility program that permits you to change the
tempo and pitch of an audio recording independently of one another.

%package -n %{develname}
Summary:	Development files for rubberband
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname %{name} -d} < 1.2

%description -n	%{develname}
Rubber Band is a library and utility program that permits you to change the
tempo and pitch of an audio recording independently of one another. This
package contains files needed to develop with the rubberband library.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

cp %{SOURCE1} .

%build
autoreconf -fiv

sed -i 's|{exec_prefix}/lib|{exec_prefix}/%{_lib}|' rubberband.pc.in

%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" %{buildroot}%{_libdir}/pkgconfig/rubberband.pc

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc usage.txt CHANGELOG
%{_bindir}/rubberband

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/librubberband.so.%{major}*
%{_libdir}/ladspa/ladspa-rubberband.cat
%{_libdir}/ladspa/ladspa-rubberband.so
%{_datadir}/ladspa/rdf/ladspa-rubberband.rdf
%{_libdir}/vamp/vamp-rubberband.cat
%{_libdir}/vamp/vamp-rubberband.so

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/rubberband
%{_libdir}/librubberband.so
%{_libdir}/librubberband.a
%{_libdir}/pkgconfig/rubberband.pc


%changelog
* Wed Oct 26 2011 Texstar <texstar at gmail.com> 1.6.0-1pclos2011
- 1.6.0

